Skip Menu |
 

This queue is for tickets about the PAR-Packer CPAN distribution.

Report information
The Basics
Id: 66937
Status: resolved
Priority: 0/
Queue: PAR-Packer

People
Owner: RSCHUPP [...] cpan.org
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.008
Fixed in: 1.009



Subject: Test fails with perl 5.13.11
Download (untitled) / with headers
text/plain 664b
The test failure looks like this: Use of uninitialized value in split at Unicode/UCD.pm line 457. Unicode::UCD: failed to find version in /tmp/cpansmoker-1023/par-cpansand/cache-1ce8429b39ee9d3ab8f8b4ef05c68e72553ead28/inc/lib /tmp/cpansmoker-1023/par-cpansand/cache-1ce8429b39ee9d3ab8f8b4ef05c68e72553ead28/inc CODE(0x27dd0680) CODE(0x27dd0810) at script/ppwyIif.pl line 1 # Failed test '"/tmp/cpansmoker-1023/rt59710" ran successfully' # at t/90-rt59710.t line 25. # Failed test at t/90-rt59710.t line 26. # got: '' # expected: 'LATIN CAPITAL LETTER B' # Looks like you failed 2 tests of 3. t/90-rt59710.t ........... Regards, Slaven
Download (untitled) / with headers
text/plain 437b
On 2011-03-26 07:17:20, SREZIC wrote: Show quoted text
> The test failure looks like this: > > Use of uninitialized value in split at Unicode/UCD.pm line 457. > Unicode::UCD: failed to find version in ...
Actually the problem is in Module::ScanDeps which fails to "detect" unicore/version so it doesn't get packed in. Can you retry with the latest PAR::Packer (which requires a version of Module::ScanDeps with a fix for the above)? Cheers, Roderich
Download (untitled) / with headers
text/plain 601b
On 2011-03-29 03:32:45, RSCHUPP wrote: Show quoted text
> On 2011-03-26 07:17:20, SREZIC wrote:
> > The test failure looks like this: > > > > Use of uninitialized value in split at Unicode/UCD.pm line 457. > > Unicode::UCD: failed to find version in ...
> > Actually the problem is in Module::ScanDeps which > fails to "detect" unicore/version so it doesn't get packed in. > > Can you retry with the latest PAR::Packer (which requires > a version of Module::ScanDeps with a fix for the above)? >
Hello Roderich, 1.009 passes all tests with 5.14.0RC0. The warning is still there, though. Regards, Slaven


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.